> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a custom field definition

> Delete a custom field definition from your Terminal49 account, removing the field type and its applied values from shipments and containers permanently.

Delete a custom field definition by its ID.

## Path parameters

| Parameter | Description                                          |
| --------- | ---------------------------------------------------- |
| `id`      | The unique identifier of the custom field definition |

## Behavior

Deleting a custom field definition also removes all associated custom field values.


## OpenAPI

````yaml delete /custom_field_definitions/{id}
openapi: 3.0.0
info:
  title: Terminal49 API Reference
  version: 0.2.0
  contact:
    name: Terminal49 API support
    url: https://www.terminal49.com
    email: support@terminal49.com
  description: >-
    The Terminal 49 API offers a convenient way to programmatically track your
    shipments from origin to destination.


    Please enter your API key into the "Variables" tab before using these
    endpoints within Postman.
  x-label: Beta
  termsOfService: https://www.terminal49.com/terms
servers:
  - url: https://api.terminal49.com/v2
    description: Production
security:
  - authorization: []
tags:
  - name: Containers
  - name: Custom Field Definitions
  - name: Custom Field Options
  - name: Custom Fields
  - name: Shipments
  - name: Locations
  - name: Events
  - name: Tracking Requests
  - name: Webhooks
  - name: Webhook Notifications
  - name: Ports
  - name: Metro Areas
  - name: Terminals
  - name: Routing (Paid)
  - name: Documents
  - name: Email Submissions
  - name: Document Schemas
  - name: Search
paths:
  /custom_field_definitions/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Custom field definition ID
    delete:
      tags:
        - Custom Field Definitions
      summary: Delete a custom field definition
      operationId: delete-custom-field-definitions-id
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    authorization:
      name: Authorization
      type: apiKey
      in: header
      description: >-
        Use a Terminal49 API key in the `Authorization` header with the `Token`
        prefix.


        `Authorization: Token YOUR_API_KEY`

````